From 356dfda433ea0c6d1bbc3cba18657dfecf5a8d9f Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 13 Aug 2026 05:46:36 +0000
Subject: [PATCH] boost-build-native: upgrade 1.91.0 -> 1.92.0

05b6b638b Merge remote-tracking branch 'bfgroup.b2/release' into develop
cf13ad0ea Bump and doc for version 5.5.3.
26ad6ed14 Fix using ccache with clang-linux toolset  (#605)
6a09df528 Merge remote-tracking branch 'bfgroup.b2/release' into develop
10d899da5 Fix grep stalling randomly.
bf3810199 Mark and note 5.5.2 patch release.
8e77291db Fix early exit of group tasks.
f73986332 Fix use of obsolete/deprecated `-single_module` option in darwin/mscOS tooling.
f53a50ecd Pick llvm ar when using clang when possible (#602)
e5c46cf90 Use nfs share for freebsd to hopefully get back the results.
bbf46b6a2 Add freebsd portable package.build.
9d66d9c74 Merge remote-tracking branch 'bfgroup.b2/release' into develop
c695f7644 Fix 5.5.1 release note.
3654ef73c Don't bother with GhostBSD testing.
234b64b50 Fix args error in pyton config when ldd errors.
7454adf1e Merge remote-tracking branch 'bfgroup.b2/release' into develop
04477614d Fix portable installer release procedure.
44d411365 Release 5.5.0 (and gix note typo).
f2261c2c0 Final note for 5.5.0 release. [skip ci]
ce8d821e2 Make the linux/macos install builds run on preleases also.
75cc92246 Basic support for bootstrap and detection of filc.
65c6f353f Update tested compilers/OS.
0ef020e61 Fixed 2 compiler warnings emitted from ./bootstrap.sh --cxx=g++
50f853546 Experimental "version" feature type.
e3330f4e7 build/property-set.jam review
797b4e1aa util/order.jam (and engine/mod_order.cpp) review
a034fe4a1 util/sequence.jam review
557c39710 fixed builtin SUBST rule (fix #571)
963c4d2cc Documentation maintenance.
2f98c4e56 Fix quoting in os conditions.
d9cb9f6da Fix vm action switch.
fb4520c5a Account for slow running tests that timeout.
88dd81a6a Simplify sans-arm-gcc to just the exclude.
1ca606270 Remove broken riscv64 and try and skip arm-gcc.
7007c70de And yet another attempt at aarch64 and riscv64 FreeBSD testing.
d91813523 Another attempt at aarch64 and riscv64 FreeBSD testing.
5042c6728 Add aarch64 and riscv64 FreeBSD testing.
35b66b67a Add GHA BSD.
eee99b2d6 more on debugger-mi.py (and TestCmd.py)
d3cf31214 build/project.jam review
d88176e2c Rework delay logic in various tests to be consistent.
cf28fdac7 Refactor output (err) functions.
1d97d3684 Set correct setup-msys2 action version.
e814dab4f Remove no longer supported mingw32 system from testing.
7d3db3ae2 Can't do static builds on macos.
f42911a16 Add macos portable binaries.
e491d8292 Add linux arm portable exec "installer".
adfc4ef04 Fix warning/error for unintialized read of LOL elements.
9e226c3c1 CI: Update tested compilers, and add Boost 1.91.
0804facea Avoid unused var warning.
aeefaf131 Args and regex.escape change notes.
ddebdf20e Fix multi-string command-db capture.
ba64d01f5 Change regex.escape to accept a list of strings to escape.
ee10ed930 Fix missing native rule arg checking.
5a6943dbf Fix path to checksum file. [skip ci]
cf45ffd41 CI debugging [skip ci]
8a8f33165 Fix paths to generated archive [skip ci]
d0c10531d CI debugging [ski

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 ...oost-build-native_1.91.0.bb => boost-build-native_1.92.0.bb} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-support/boost/{boost-build-native_1.91.0.bb => boost-build-native_1.92.0.bb} (92%)

diff --git a/meta/recipes-support/boost/boost-build-native_1.91.0.bb b/meta/recipes-support/boost/boost-build-native_1.92.0.bb
similarity index 92%
rename from meta/recipes-support/boost/boost-build-native_1.91.0.bb
rename to meta/recipes-support/boost/boost-build-native_1.92.0.bb
index c276cf436d..008bdacf5e 100644
--- a/meta/recipes-support/boost/boost-build-native_1.91.0.bb
+++ b/meta/recipes-support/boost/boost-build-native_1.92.0.bb
@@ -7,7 +7,7 @@ LICENSE = "BSL-1.0"
 LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=e4224ccaecb14d942c71d31bef20d78c"
 
 SRC_URI = "git://github.com/boostorg/build;protocol=https;branch=master;tag=boost-${PV}"
-SRCREV = "85252c9d6a3817daca23ddae94ce16c7be4d2c12"
+SRCREV = "05b6b638b54e1f013fb8b281f5020e337be31363"
 PE = "1"
 
 UPSTREAM_CHECK_GITTAGREGEX = "boost-(?P<pver>(\d+(\.\d+)+))"
-- 
2.47.1

